\batchmode
\documentstyle[html,12pt,epsfig,rotating,longtable,here]{article}
\makeatletter

\setlength{\textwidth}{170mm}
\setlength{\textheight}{240mm}
\setlength{\oddsidemargin}{1mm}
\setlength{\evensidemargin}{1mm}
\setlength{\marginparwidth}{1cm}
\voffset=-20mm
\hoffset=0mm
\setlength{\parindent}{0pt}

\makeatletter
\long%
\makeatother

%












\newcounter{ex}
%






\makeindex

\makeglossary



\def\psboxit#1{%
\begingroup\setbox0\hbox{#1}%
\dimen0=\ht0 \advance\dimen0 by \dp0%
    %
    %
    \hbox{%
    \special{ps:  /box{%

         newpath 2 copy moveto 3 copy pop exch lineto 4 copy pop pop
         lineto 4 copy exch pop exch pop lineto closepath } bind def
         gsave 0 setgray currentpoint translate
        0
        \number\dp0 \space 15800 div    %
        \number\wd0 \space 15800 div    %
        \number\ht0 \space -15800 div   %
        box fill grestore gsave 1 setgray}%
       \copy0\special{ps: stroke grestore}%
}%
\endgroup
}

\newcommand {\prompt}{\verb+     +\psboxit{[plus1]} $\sim$\verb+ > +}

\newcommand {\tprompt}{\verb+    +\psboxit{[tcsh]} $\sim$\verb+ > +}

\newcommand {\zprompt}{\verb+    +\psboxit{[zsh]} $\sim$}

\newcommand {\return}{$\hookleftarrow$ }

\newcommand {\TAB}{{\it TAB}  }

\newcommand {\tcsh}{\verb+tcsh +}

\newcommand {\zsh}{\verb+zsh +}

\newcommand {\cursor}{\rule[-1mm]{2mm}{4mm} }

\newcommand {\ESC}{{\it ESC} }

\def\listfigurename{List of Examples}

\newenvironment {Example}[1]{\addtocounter{ex}{1}
%

\noindent
\addcontentsline{lof}{figure}{\protect\numberline{\arabic{ex}}{#1}}
\noindent 
\\ }{}

\makeatother
\newenvironment{tex2html_wrap}{}{}
\newwrite\lthtmlwrite
\def\lthtmltypeout#1{{\let\protect\string\immediate\write\lthtmlwrite{#1}}}%
\newbox\sizebox
\begin{document}
\pagestyle{empty}
\stepcounter{section}
\stepcounter{section}
{\newpage
\clearpage
\samepage \begin{table}[H]
{\bf }
\label{standard-files}
\begin{center}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}     & {\bf Conditions}      & {\bf Executed scripts} \\ 
\hline
csh             & always                & \$HOME/.cshrc         \\ 
                & login                 & \$HOME/.login         \\ 
\hline
tcsh            & always                & /etc/csh.cshrc        \\ 
                & login                 & /etc/csh.login or \$HOME/.login \\ 
                & interactive           & \$HOME/.tcshrc or \$HOME/.cshrc \\ 
\hline          
ksh             & always                & ENV variable if set  \\ 
                & login                 & /etc/profile or \$HOME/.profile \\ 
                & interactive           & \$HOME/.kshrc         \\ 
\hline
zsh             & always                & /etc/zshenv           \\ 
                &                       & \$HOME/.zshenv        \\ 
                & login                 & /etc/zprofile         \\ 
                &                       & \$HOME/.zprofile      \\ 
                &                       & \$HOME/.zlogin        \\ 
                & interactive           & /etc/zshrc            \\ 
                &                       & \$HOME/.zshrc         \\ 
\hline
bash            & always                & not possible          \\ 
                & login                 & /etc/profile          \\ 
                &                       & \$HOME/.bash\_profile or \$HOME/.profile \\ 
                & interactive           & \$HOME/.bashrc        \\ 
                & non-interactive       & ENV variable if set   \\ 
\hline
\end{tabular}
\end{center}
\end{table}
}

\stepcounter{subsection}
\stepcounter{subsection}
\stepcounter{subsection}
{\newpage
\clearpage
\samepage \begin{table}[H]
\vspace{1cm}
\begin{tabular}{||l|l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example}                                  &{\bf Result} \\ 
\hline
csh               &.cshrc               &\verb+set prompt='\!>'+                        &\verb+24 >+\\ 
tcsh              &.tcshrc or .cshrc    &\verb+set prompt='\! %~ %#'+                   & \verb+24 ~ >+  \\ 
ksh               &.kshrc               &\verb+export PS1='\! >$'+                      & \verb+24 >+                   \\ 
zsh               &.zshrc               &\verb+export PS1="%S\[%T\]%s"%~ %# "+          & 
\begingroup\setbox0\hbox{[23:55]}%
\dimen0=\ht0 \advance\dimen0 by \dp0%


\hbox{%
\special{ps:  /box{%
newpath 2 copy moveto 3 copy pop exch lineto 4 copy pop pop
lineto 4 copy exch pop exch pop lineto closepath } bind def
gsave 0 setgray currentpoint translate
0
\number\dp0 \space 15800 div    %
\number\wd0 \space 15800 div    %
\number\ht0 \space -15800 div   %
box fill grestore gsave 1 setgray}%
\copy0\special{ps: stroke grestore}%
}%
\endgroup \verb+~ >+  \\ 
bash              &.bashrc              &\verb+export PS1='\${PWD} \! >'+               & \verb+ /bin 24 >+\\ 
\hline
\end{tabular}
\end{table}
}

\stepcounter{subsection}
{\newpage
\clearpage
\samepage \begin{table}[H]
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\ 
\hline
csh               &.cshrc               &\verb1alias rs 'set noglob;eval `resize`;unset noglob'1 \\ 
tcsh              &.tcshrc or .cshrc    &\verb1alias H 'history -r | fgrep "\!*"'1 \\ 
ksh               &.kshrc               &\verb1alias 'mr=chmod +r'1 \\ 
zsh               &.zshrc               &\verb1alias 'rs=eval `resize
-u`'1 \\ 
bash              &.bashrc              &\verb1mx() {chmod +x ${*}}1  \\ 
\hline
\end{tabular}
\end{table}
}

\stepcounter{subsection}
{\newpage
\clearpage
\samepage \begin{table}[H]
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\ 
\hline
csh               &.cshrc               &set path=( \$path \$HOME/bin ) \\ 
tcsh              &.tcshrc or .cshrc    &set path=( \$path \$HOME/bin.\$OS ) \\ 
ksh               &.profile             &export PATH="\$HOME/bin:\$PATH"  \\ 
zsh               &.zprofile            &export PATH="\$HOME/bin.\$OS:\$PATH"\\ 
bash              &.bash\_profile or    &                    \\ 
                  & .profile            &export PATH="\$HOME/bin:\$PATH"  \\ 
\hline
\end{tabular}
\end{table}
}

\stepcounter{subsection}
{\newpage
\clearpage
\samepage \begin{table}[H]
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\ 
\hline
csh               &.cshrc               &setenv EDITOR vi \\ 
tcsh              &.tcshrc or .cshrc    &setenv PRINTER ps\_rz1 \\ 
ksh               &.profile             &export VISUAL=emacs  \\ 
zsh               &.zprofile            &export ORACLE\_SID=v712 \\ 
bash              &.bash\_profile or     &                    \\ 
                  & .profile            &export PAGER=less  \\ 
\hline
\end{tabular}
\end{table}
}

\stepcounter{subsection}
\stepcounter{subsubsection}
\stepcounter{subsubsection}
{\newpage
\clearpage
\samepage \begin{figure} \label{xsession}
\epsfig{figure=fig/xsession-light.eps,width=18cm}
\end{figure}
}

\stepcounter{subsubsection}
\stepcounter{subsubsection}
\stepcounter{subsubsection}
\stepcounter{section}
\stepcounter{section}
\stepcounter{section}

\end{document}
